MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023941Community[OCCT] OCCT:Visualizationpublic2013-05-03 13:402013-12-19 13:58
ReporterPawel 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023941: ColorScale texts not displayed correctly after one viewer has been closed.
DescriptionThis issue is similar to 23940.

After closing a viewer that displayed color scale using:

V3d_View::ColorScaleDisplay()

an attempt to display the color scale again (in a new viewer) shows that the texts (scale descriptors) are not displayed correctly (or at all).
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023940closeddbv Community Point markers not displayed correctly after one viewer has been closed. 

-  Notes
(0025470)
san (developer)
2013-09-05 17:37

Please, check if this problem is resolved after correction of #23654, and reassign to bugmaster with feedback status asking to close this one.
(0025475)
Pawel (developer)
2013-09-05 19:27
edited on: 2013-09-05 20:12

I think the implementation in #23654 is not complete at the moment.

When I try to display AIS_Trihedron (upon document creation) I get a crash in OpenGl_Context::GetResource (OpenGl_Context.cxx, line 1038) - maybe a separate issue should be created for this.

However, the text of the color scale is not displayed after closing one view - it seems #23654 has no impact on that.

(0025813)
dbv (developer)
2013-10-01 13:55

Dear bugmaster,

this issue has been fixed in the patch for #0023654 and can be closed
(0025814)
Pawel (developer)
2013-10-01 14:00

Well,

I can't agree the issue was fixed. At least not on master...
(0025815)
dbv (developer)
2013-10-01 14:06

Dear Pawel,

the patch is not yet integrated into the master branch, but you can test it in the branch CR23654_3
(0025816)
Pawel (developer)
2013-10-01 14:10

OK.

Thanks for the comment!
(0025891)
bugmaster (administrator)
2013-10-04 12:50

Problem was corrected by fix for CR23654

- Issue History
Date Modified Username Field Change
2013-05-03 13:40 Pawel New Issue
2013-05-03 13:40 Pawel Assigned To => san
2013-05-03 13:40 Pawel Relationship added related to 0023940
2013-05-03 13:41 Pawel Summary ColorScale not displayed correctly after one viewer has been closed. => ColorScale texts not displayed correctly after one viewer has been closed.
2013-05-03 13:41 Pawel Description Updated View Revisions
2013-09-05 17:37 san Note Added: 0025470
2013-09-05 17:37 san Assigned To san => dbv
2013-09-05 17:37 san Status new => assigned
2013-09-05 17:38 san Relationship added related to 0023654
2013-09-05 19:27 Pawel Note Added: 0025475
2013-09-05 20:11 Pawel Note Edited: 0025475 View Revisions
2013-09-05 20:12 Pawel Note Edited: 0025475 View Revisions
2013-10-01 13:55 dbv Note Added: 0025813
2013-10-01 13:55 dbv Assigned To dbv => bugmaster
2013-10-01 13:55 dbv Status assigned => feedback
2013-10-01 14:00 Pawel Note Added: 0025814
2013-10-01 14:06 dbv Note Added: 0025815
2013-10-01 14:10 Pawel Note Added: 0025816
2013-10-04 12:50 bugmaster Assigned To bugmaster => dbv
2013-10-04 12:50 bugmaster Status feedback => tested
2013-10-04 12:50 bugmaster Note Added: 0025891
2013-10-04 12:50 bugmaster Status tested => verified
2013-10-04 12:50 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker